Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Yahoo stating I do not have the latest version of Firefox, but I do.

  • 3 replies
  • 1 has this problem
  • 81 views
  • Last reply by James

more options

I am constantly getting a message that my Firefox is out of date and will not longer be supported unless i upgrade to the newest version. Especially on Yahoo mail I use every day. I have version 25.0 Mozilla Firefox Edition yahoo-1.24. What else do I need to do to have these websites stop claiming I am not up to date on my Firefox?

Thank you!

Jason Alpert

All Replies (3)

more options

hello jason, please perform a reset of the browser (this will keep your bookmarks & passwords) - this should address the problem...

Refresh Firefox - reset add-ons and settings

more options

You have a corrupted user agent (Fast Browser Search) that identifies you as Firefox/3.6.17

  • Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.2.17) Gecko/20110420 Firefox/3.6.17 (.NET CLR 3.5.30729) FBSMTWB

See:

more options

As of Firefox 4.0 and newer the useragent is no longer affected by extensions or things like Fast Browser Search that adds stuff to UA and makes the UA be stuck at that version.